/*
    Template: pearl
    Theme Name: Pearl Child Theme
    Theme URI: http://pearl.stylemixthemes.com/
    Author: StylemixThemes
    Author URI: http://stylemixthemes.com/
    Description: Pearl WP is a true multi-niche WordPress theme, which consist of several micro-niche themes. Each micro-niche layout has its own features, modules and specifications. You can use UI modules from any layout and mix it with other UI modules. 300+ UI modules and 250+ prebuilt pages are available for use. Open the shell and find the Pearl!
    Version: 1.1.1
    License: GNU General Public License v2 or later
    License URI: http://www.gnu.org/licenses/gpl-2.0.html
    Tags: beauty salon, blog, business, church, coach, construction, consulting, corporate, ecommerce, multipurpose, music, portfolio, restaurant, transportation, travel, custom-header, custom-menu, editor-style, sticky-post, theme-options
	Text Domain: pearl-child-theme
*/
/*--------------------Product Detail----------------------*/
.stm_shop_layout_coffee-shop.single-product .product .summary.entry-summary form.cart {
  width: 100%;
  display: inline-block;
}
.stm_shop_layout_coffee-shop.single-product .product .woocommerce-tabs ul.tabs li.active a.no_scroll {
  color: white !important;
  margin-right: 0 !important;
  padding-right: 10px;
  padding-left: 10px;
}
body .woocommerce-tabs {
    clear:none!important;
}
body.stm_shop_layout_coffee-shop.single-product .product .summary.entry-summary .product_meta {
    display: none!important;
}

/*--------------------Mini Cart----------------------*/
.mini-cart__actions {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 10px;
}
.mini-cart__actions > a:first-child {
  padding: 14px 40px !important;
}
.mini-cart__actions > a:last-child {
  margin-left: 0 !important;
}

.mini-cart__actions > a:last-child:hover {
  color: #066b85 !important;
}


/*--------------------My Account----------------------*/
.user-avatar {
    display: none!important;
}
.woocommerce-account .woocommerce {
  display: flex;
  gap: 20px;
}

.woocommerce-MyAccount-navigation {
  width: 250px !important;
  margin-right: 20px;
}

.woocommerce-MyAccount-navigation > ul{
  display: flex !important;
  flex-direction: column;
}

.woocommerce-MyAccount-content {
  text-align: center;
  flex-grow: 1;
}
.woocommerce-account .woocommerce .woocommerce-MyAccount-navigation ul li a {
  background-color: unset !important;
  color: black;
  padding-left: 10px !important;
  text-align: left !important;
  font-weight: normal !important;
}
.woocommerce-account .woocommerce .woocommerce-MyAccount-navigation ul li a:hover {
  background-color: #c6c6c6 !important;
}

.woocommerce-account .woocommerce .woocommerce-MyAccount-navigation ul li.is-active a {
  background-color: unset !important;
  border-bottom: 1px solid black;
}

.woocommerce-MyAccount-navigation-link--avatar {
  display: flex;
  align-items: center;
  margin-bottom: 20px;
}

.woocommerce-MyAccount-navigation-link--avatar .user-avatar {
  height: 80px;
  width: 80px;
  border-radius: 50%;
  overflow: hidden;
  margin-bottom: 10px;
}
.woocommerce-MyAccount-navigation-link--avatar .user-avatar img {
  width: 100%;
}

body.woocommerce-account .woocommerce-MyAccount-orders.shop_table tbody tr td .woocommerce-button.button.view,
body.woocommerce-account .woocommerce-MyAccount-orders.shop_table tbody tr th .woocommerce-button.button.view {
  padding: 0 30px !important;
}

.woocommerce-MyAccount-navigation-link--avatar .user-name {
  color: #333;
}

/*--------------------Cart----------------------*/

.site-content {
  padding-bottom: 50px;
}

.stm_shop_layout_coffee-shop .cart-collaterals .wc-proceed-to-checkout a.checkout-button {
  background-color: #044454 !important;
}

.stm_shop_layout_coffee-shop .cart-collaterals .wc-proceed-to-checkout a.checkout-button:hover {
  background-color: #044454 !important;
}

.stm_shop_layout_coffee-shop .woocommerce-cart-form table.shop_table tbody tr td.product-name a {
  display: block;
  font-weight: normal !important;
}

.stm_shop_layout_coffee-shop .woocommerce-cart-form table.shop_table tbody tr td.product-name span {
  font-weight: normal !important;
}

.stm_shop_layout_coffee-shop .woocommerce-cart-form table.shop_table tbody tr td.product-quantity .quantity {
  width: 100% !important;
}
.stm_shop_layout_coffee-shop .woocommerce-cart-form table.shop_table tbody tr td.product-quantity .quantity input.qty {
  border: none !important;
  text-align: center;
  width: 100% !important;
}

.woocommerce table.shop_table tbody tr td.product-subtotal {
  text-align: right;
}

.woocommerce table.shop_table tbody tr td.product-subtotal a.remove {
  font-weight: normal !important;
  text-align: center;
  float:right;
  margin-left: 10px;
}

.stm_shop_layout_coffee-shop .woocommerce-cart-form table.shop_table tbody tr td .woocommerce-Price-amount.amount,
.stm_shop_layout_coffee-shop .woocommerce-cart-form table.shop_table tbody tr td .woocommerce-Price-amount.amount .woocommerce-Price-currencySymbol{
  font-weight: normal !important;
}

.woocommerce-page table.cart td.actions .coupon {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.stm_shop_layout_coffee-shop .woocommerce-cart-form table.shop_table tbody tr td.product-quantity .quantity .increase {
  right: 10px !important;
  top: 18px !important;
}

.stm_shop_layout_coffee-shop .woocommerce-cart-form table.shop_table tbody tr td.product-quantity .quantity .decrease {
  left: 0 !important;
  top: 18px !important;
}

.stm_shop_layout_coffee-shop .woocommerce-cart-form table.shop_table tbody tr td.product-quantity .quantity .decrease:before {
  content: "\f068" !important;
}

.stm_shop_layout_coffee-shop .woocommerce-cart-form table.shop_table tbody tr td.product-quantity .quantity .increase:before {
  content: "\f067" !important;
}

.woocommerce-page table.cart td.actions .coupon .input-text {
  width: 100% !important;
  border-right: 1px solid #d9d9d9 !important;
}

.woocommerce .cart .button[name="update_cart"] {
  float: left !important;
  background-color: transparent !important;
  color: black !important;
  border: 1.5px solid black !important;
  text-transform: unset !important;
}

.woocommerce .cart .button[name="apply_coupon"] {
  background-color: #CCCCCC !important;
  color: black !important;
  text-transform: unset !important;
}


.stm_shop_layout_coffee-shop .cart-collaterals .wc-proceed-to-checkout .checkout-button {
  background-color: #a67968 !important;
}

#pwgc-redeem-gift-card-container {
  text-align: left;
}

#pwgc-redeem-gift-card-container label, #pwgc-redeem-form label {
  font-size: 24px !important;
  font-weight: normal !important;
  margin-bottom: 20px;
}

#pwgc-redeem-form #pwgc-redeem-button {
  width: 100%;
  background-color: transparent !important;
  border: 1.5px solid black !important;
  color: black !important;
  font-weight: normal !important;
}

#pwgc-redeem-gift-card-number {
  height: 50px;
  width: 100% !important;
  margin-bottom: 15px;
}

#calculate_shipping th{
  text-align: left !important;
  cursor: pointer;
}
.stm_shop_layout_coffee-shop .cart-collaterals .cart_totals .shop_table {
  border-collapse: collapse;
}
.stm_shop_layout_coffee-shop .cart-collaterals .cart_totals .shop_table tbody tr {
  border-bottom: 1px solid #CCCCCC;
}

.stm_shop_layout_coffee-shop .cart-collaterals .cart_totals {
  box-shadow: unset !important;
  border: 1px solid black;
}
body .woocommerce .woocommerce-error .button.wc-forward {
    background: #066b85 !important;
    margin: 0 !important;
    border: none;
}
@media (max-width: 550px) {
    .shop_table td:before, .shop_table th:before,
    .shop_table td:after, .shop_table th:after,
    body .shop_table .hide-mobile{
        display: none !important;
    }
    .shop_table td.product-quantity, .shop_table th.product-quantity
    {
        padding: 0!important;
    }
    body .shop_table td.product-name, body .shop_table th.product-name
    {
        padding-top: 20px!important;
    }
    body .shop_table td.actions .button[name=update_cart], body .shop_table th.actions .button[name=update_cart] {
        float: none!important;
    }

    .shop_table .cart_item td, .shop_table .cart_item th {
        display: table-cell!important;
        text-align: left!important;
        padding-top: 0px!important;
    }

    .cart-collaterals .shop_table td, .cart-collaterals .shop_table th {
        display: table-cell!important;
    }
}
.stm_shop_layout_coffee-shop .woocommerce-cart-form table.shop_table.cart tbody tr + tr td {
    border-top: none !important;
}

/*--------------------Checkout----------------------*/
.woocommerce form .form-row label, .woocommerce-page form .form-row label {
  display: block !important;
}
.stm_shop_layout_coffee-shop .woocommerce .checkout #order_review .woocommerce-checkout-review-order-wrap .woocommerce-checkout-review-order-table tfoot tr.woocommerce-shipping-totals th,
.stm_shop_layout_coffee-shop .woocommerce .checkout #order_review .woocommerce-checkout-review-order-wrap .woocommerce-checkout-review-order-table tfoot tr.woocommerce-shipping-totals td{
  border-top: unset !important;
}

.stm_shop_layout_coffee-shop .woocommerce div.woocommerce-info {
  text-align: center !important;
  border: none !important;
  background-color: #f2f2f2 !important;
}

.stm_shop_layout_coffee-shop .woocommerce .woocommerce-info:after {
  display: none !important;
}

.stm_shop_layout_coffee-shop .woocommerce .checkout #customer_details {
  width: 58% !important;
}
.stm_shop_layout_coffee-shop .woocommerce .checkout #order_review {
  width: 38% !important;
}

.stm_shop_layout_coffee-shop .woocommerce .checkout #order_review div.woocommerce-checkout-review-order-wrap {
  box-shadow: unset !important;
  background-color: #f2f2f2 !important;
}
/*stm_select*/
/*stm_select__dropdown*/

.woocommerce .select2 {
  display: block !important;
  height: 50px;
}

.woocommerce .select2-container .select2-selection--single,
.woocommerce .select2-container--default .select2-selection--single .select2-selection__arrow {
  height: 50px !important;
}
.woocommerce .select2-container--default .select2-selection--single {
  border: 1px solid #e1e4eb;
}
.woocommerce .select2-container .select2-selection--single .select2-selection__rendered {
  padding: 12px 13px !important;
}
.woocommerce .woocommerce .select2-container--default .select2-selection--single .select2-selection__rendered {
  line-height: 50px !important;
}

/*--------------------Payment----------------------*/

.woocommerce #order_review #payment .wc_payment_methods {
  border: 1px solid #CCCCCC;
  border-bottom: none !important;
  margin: 0 !important;
}
.stm_shop_layout_coffee-shop .woocommerce .checkout #order_review ul.payment_methods li {
  padding: 15px !important;
  border-bottom: 1px solid #CCCCCC;
}
.stm_shop_layout_coffee-shop .woocommerce .checkout #order_review ul.payment_methods li label {
  border: none !important;
  background-color: transparent !important;
  display: block !important;
  color: black !important;
  margin-bottom: 0 !important;
  padding: 0 !important;
}

.stm_shop_layout_coffee-shop .woocommerce .checkout #order_review .woocommerce-checkout-review-order-wrap .woocommerce-checkout-review-order-table {
  margin-bottom: 10px !important;
}

/*--------------------Thank you----------------------*/
.stm_shop_layout_coffee-shop .woocommerce .woocommerce-order .woocommerce-thankyou-order-received {
  font-weight: 700 !important;
  margin-bottom: 10px !important;
}
.stm_shop_layout_coffee-shop .woocommerce .woocommerce-order ul.order_details {
  float: unset !important;
  width: 100% !important;
  background: none !important;
  padding: 0 !important;
  display: flex;
  justify-content: flex-start;
}


.stm_shop_layout_coffee-shop .woocommerce .woocommerce-order ul.order_details li {
  border-bottom: none !important;
  margin-right: 0 !important;
  padding-top: 10px !important;
  padding-bottom: 10px !important;
}

.stm_shop_layout_coffee-shop .woocommerce .woocommerce-order ul.order_details li:not(:last-child) {
  border-right: 1px dashed #d5d5d5 !important;
  padding-right: 20px !important;
}

.stm_shop_layout_coffee-shop .woocommerce .woocommerce-order ul.order_details li:not(:first-child) {
  padding-left: 20px !important;
}

.stm_shop_layout_coffee-shop .woocommerce .woocommerce-order .woocommerce-order-details {
  float: unset !important;
  margin-top: 50px !important;
  width: 100% !important;
}
.stm_shop_layout_coffee-shop .woocommerce .woocommerce-order .woocommerce-order-details .woocommerce-order-details__title {
  text-transform: uppercase !important;
}
.stm_shop_layout_coffee-shop .woocommerce .woocommerce-order .woocommerce-order-details .woocommerce-table--order-details.shop_table {
  width: 100% !important;
  padding: 0 !important;
  background: none !important;
}

.stm_shop_layout_coffee-shop .woocommerce .woocommerce-order .woocommerce-order-details table.woocommerce-table--order-details.shop_table thead tr th {
  background: #38cfca !important;
  color: white !important;
}

@media (max-width: 768px) {
  .stm_shop_layout_coffee-shop .woocommerce .woocommerce-order ul.order_details {
    flex-direction: column;
  }
  .stm_shop_layout_coffee-shop .woocommerce .woocommerce-order ul.order_details li:first-child {
    padding-left: 20px !important;
  }
}

.woocommerce-account .stm_markup .woocommerce {
    margin-top: 0 !important;
}

.woocommerce-account-my-tracks .my-track-section:not(:last-child) {
    margin-bottom: 20px;
    border-bottom: 1px solid black;
}

.woocommerce-account-my-tracks .my-track-section h4 {
    text-align: left !important;
    margin-bottom: 0;
}

.woocommerce-account-my-tracks .my-track-section .empty,
.woocommerce-account-my-tracks .my-track-section > .row {
    padding-bottom: 20px;
    padding-top: 20px;
}

.woocommerce-account-my-tracks .my-track-section .play-icon img {
    max-width: 100%;
}

.custom-player-box {
    position: relative;
    text-align: left;
    margin-bottom: 20px;
}

.custom-player-box .name a {
    font-size: 1.7em;
    font-weight: 400;
    line-height: 2em;
    margin-top: 5px;
    margin-bottom: 10px;
}

.custom-player-box .price {
    font-size: 18px !important;
    margin-top: 15px !important;
    margin: 20px 0px !important;
}

.custom-player-box .back-button,
.iframe-container .back-button,
.custom-player-box .play-button,
.woocommerce-page .stm_products .custom-player-box .add_to_cart_button {
    display: inline-block;
    border: 2px solid;
    font-size: 20px;
    margin-top: 1em;
    height: auto;
    font-weight: 700;
    line-height: normal;
    padding: 10px 50px !important;
    background-color: transparent !important;
    color: #044454 !important;
    transition: 0.2s all !important;
}

.my-track-section .custom-player-box .play-button, 
.my-track-section .custom-player-box .favorite-button, 
.woocommerce-page .stm_products .custom-player-box .add_to_cart_button  {
    padding: 10px 20px !important;
    font-size: 12px;
}

.custom-player-box .added_to_cart {
    margin-left: 10px !important;
}

.custom-player-box .play-button:hover,
.custom-player-box .back-button:hover,
.custom-player-box .favorite-button:hover, 
.iframe-container .back-button:hover,
.woocommerce-page .stm_products .custom-player-box .add_to_cart_button:hover {
    text-decoration: unset;
    background-color: #044454 !important;
    color: #ffffff !important;
}

.custom-player-box .play-action {
    display: flex;
    align-items: center;
    margin-top: 35px;
    margin-bottom: 20px;
}

.custom-player-box .play-action .wave {
    margin: unset;
}

.custom-player-box .play-action .play-button {
    padding: 10px !important;
    border: unset;
    margin-top: unset;
    margin-right: 10px;
}

.custom-player-box .disabled,
.play-block.disabled {
    pointer-events: none;
    opacity: 0.5;
    filter: grayscale(100%);
    margin-bottom: 15px;
}

.custom-player-box .insufficient-credits-message {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: #ffffff;
    background: rgb(4 68 84 / 66%);
    padding: 15px;
    text-align: center;
}

.custom-player-box .insufficient-credits-message .buy-credit {
    color: #ffffff !important;
    font-weight: 600;
}

.custom-player-box .wave {
    width: 100%;
    height: 40px;
    background-size: contain;
    margin-bottom: 20px;
    margin-top: 35px;
}

.my-track-section .custom-player-box .wave {
    margin-top: 15px;
    margin-bottom: 15px;
}

.my-track-section .custom-player-box .play-button {
    margin-top: 0 !important;
}

/*--------------Lost Password---------------*/
.woocommerce-account .lost_reset_password {
  width: 100%;
}

.woocommerce:not(.post-type-archive-product, .term-products) ul.stm_products {
    width: 100%; 
    display: block !important;
}

.woocommerce ul.stm_products  li {
    padding: 0 15px;
}

.wave-container {
    position: relative;
    width: 100%;
    height: 35px;
}

.wave-container canvas.waveform {
    position: absolute;
    top: 50%;
    left: 0;
    width: 100%;
    height: 35px;
    transform: translateY(-50%);
}

.custom-player-box .price .woocommerce-Price-amount {
    color: #044454 !important;
    font-weight: 700 !important;
}

.custom-player-box .name {
    font-size: 12px;
    margin-top: 0 !important;
}

.custom-player-box .price {
    margin-top: 10px!important;
    margin-bottom: 10px !important;
    font-size: 16px !important;
}

.woocommerce-account .woocommerce {
    flex-flow: wrap;
}

.woocommerce-account .woocommerce-notices-wrapper {
    width: 100%;
}

.woocommerce-account .woocommerce-MyAccount-content {
    width: 68% !important;
}

.woocommerce-account #customer_login {
  margin: 0 !important;
}

.nowrap {
  white-space: nowrap;
}

.stm-navigation__default > ul > li:hover > ul {
  top: 23px !important;
}

.custom-player-box .favorite-button {
    border: 2px solid;
}

.custom-player-box .favorite-button.favorited:not(:hover) {
    color: #fff;
    background-color: red;
    border-color: red;
}

@media all and (max-width: 1024px) {
    .woocommerce-checkout .stm_markup {
        padding-top: 0 !important;
    }

    .site-content {
        padding-top: 20px !important;
    }

    .stm_shop_layout_coffee-shop .woocommerce .checkout #customer_details,
    .stm_shop_layout_coffee-shop .woocommerce .checkout #order_review {
        float: unset !important;
        width: 100% !important;
    }

    .woocommerce-account .woocommerce-MyAccount-content {
        width: 59% !important;
    }

    .woocommerce-account .woocommerce-MyAccount-navigation,
    .woocommerce-account .woocommerce-MyAccount-content {
        width: 100% !important;
    }

    .woocommerce-account .woocommerce-MyAccount-navigation {
        margin-bottom: 25px !important;
    }

    .stm_header_style_1 .stm_mobile__header {
        margin-bottom: 15px !important;
    }
}

@media all and (max-width: 767px) {
    .woocommerce ul.stm_products {
        margin: 0 !important;
    }

    .woocommerce-cart .stm_markup, 
    .woocommerce-account .stm_markup {
        padding-top: 0 !important;
    }
    .stm_shop_layout_coffee-shop .woocommerce-cart-form table.shop_table tbody tr td.product-quantity .quantity .decrease {
        left: 20px !important;
    }

    .stm_shop_layout_coffee-shop .woocommerce-cart-form table.shop_table tbody tr td.product-quantity .quantity .increase {
        right: 20px !important;
    }

    .woocommerce .cart-collaterals .cart_totals h2, .woocommerce-page .cart-collaterals .cart_totals h2 {
        height: 20px;
        font-size: 25px !important;
    }

    .stm_shop_layout_coffee-shop .cart-collaterals .wc-proceed-to-checkout .checkout-button {
        margin-bottom: 0 !important;
    }

    .shop_table td.actions .button[name=update_cart], .shop_table th.actions .button[name=update_cart] {
        width: 100% !important;
        margin-top: 0 !important;
    }

    .woocommerce-account-my-tracks h2 {
        margin-bottom: 25px;
    }
}

@media all and (max-width: 551px) {
    .woocommerce table.shop_table.subscription_details td {
        text-align: left;
        display: table-cell !important;
    }

    .woocommerce table.shop_table.subscription_details a.button:not(:last-child) {
        margin-bottom: 15px !important;
    }

    .woocommerce table.shop_table.order_details th,
    .woocommerce table.shop_table.order_details td {
        display: table-cell !important;
        width: 200px !important;
    }

    .woocommerce-account #my_account_credits tr {
        margin-bottom: 20px !important;
        display: block;
        border-bottom: 1px solid #044454;
        padding-bottom: 20px;
    }

    .woocommerce-account #my_account_credits tr:last-child {
        border-bottom: unset;
    }

    .woocommerce-account #my_account_credits tr td {
        border: unset;
    } 

    .woocommerce-account #my_account_credits thead {
        display: none !important;
    }
}

.free-until {
    color: #350eff;
}
